cascading.flow

## Class FlowProcessWrapper<Config>

- java.lang.Object
- - cascading.flow.FlowProcess<Config>
  - - cascading.flow.FlowProcessWrapper<Config>

- Direct Known Subclasses:
    ElementFlowProcess

      public class FlowProcessWrapper<Config>
      extends FlowProcess<Config>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

      `FlowProcess.NullFlowProcess`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowProcess

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowProcessWrapper(FlowProcess delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeTrapCollectors()`
    `<C> C` | `copyConfig(C jobConf)`
    `FlowProcess` | `copyWith(Config object)`
    `<C> java.util.Map<java.lang.String,java.lang.String>` | `diffConfigIntoMap(C defaultConfig, C updatedConfig)`
    `Config` | `getConfig()` Method getConfig returns the actual instance of the underlying configuration instance.
    `Config` | `getConfigCopy()`
    `long` | `getCounterValue(java.lang.Enum counter)` Method getCounterValue is used to retrieve a counter value.
    `long` | `getCounterValue(java.lang.String group, java.lang.String counter)` Method getCounterValue is used to retrieve a counter value.
    `FlowSession` | `getCurrentSession()` Method getCurrentSession returns the currentSession of this FlowProcess object.
    `int` | `getCurrentSliceNum()` Method getCurrentSliceNum returns an integer representing which slice instance currently running.
    `FlowProcess` | `getDelegate()`
    `java.lang.String` | `getID()` Method getID() returns the current
    `int` | `getNumProcessSlices()` Method getNumProcessSlices returns the number of parallel slices or tasks allocated for this process execution.
    `java.lang.Object` | `getProperty(java.lang.String key)` Method getProperty should be used to return configuration parameters from the underlying system.
    `java.util.Collection<java.lang.String>` | `getPropertyKeys()` Method getPropertyKeys returns an immutable collection of all available property key values.
    `TupleEntryCollector` | `getTrapCollectorFor(Tap trap)` Method getTrapCollectorFor will return a new `TupleEntryCollector` if one hasn't previously been created for the given trap Tap.
    `void` | `increment(java.lang.Enum counter, long amount)` Method increment is used to increment a custom counter.
    `void` | `increment(java.lang.String group, java.lang.String counter, long amount)` Method increment is used to increment a custom counter.
    `boolean` | `isCounterStatusInitialized()` Method isCounterStatusInitialized returns true if it is safe to increment a counter or set a status.
    `void` | `keepAlive()` Method keepAlive notifies the system that the current process is still alive.
    `Config` | `mergeMapIntoConfig(Config defaultConfig, java.util.Map<java.lang.String,java.lang.String> map)`
    `java.lang.Object` | `newInstance(java.lang.String className)` Method newInstance creates a new object instance from the given className argument delegating to any platform specific instantiation and configuration routines.
    `TupleEntryCollector` | `openSystemIntermediateForWrite()`
    `TupleEntryIterator` | `openTapForRead(Tap tap)` Method openTapForRead return a `TupleEntryIterator` for the given Tap instance.
    `TupleEntryCollector` | `openTapForWrite(Tap tap)` Method openTapForWrite returns a (@link TupleCollector} for the given Tap instance.
    `TupleEntryCollector` | `openTrapForWrite(Tap trap)` Method openTrapForWrite returns a (@link TupleCollector} for the given Tap instance.
    `void` | `setCurrentSession(FlowSession currentSession)` Method setCurrentSession sets the currentSession of this FlowProcess object.
    `void` | `setStatus(java.lang.String status)` Method setStatus is used to set the status of the current operation.
    `static FlowProcess` | `undelegate(FlowProcess flowProcess)`

    - ### Methods inherited from class cascading.flow.FlowProcess

      `getBooleanProperty, getBooleanProperty, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowProcessWrapper

          public FlowProcessWrapper(FlowProcess delegate)

  - ### Method Detail

    - #### undelegate

          public static FlowProcess undelegate(FlowProcess flowProcess)

    - #### getDelegate

          public FlowProcess getDelegate()

    - #### copyWith

          public FlowProcess copyWith(Config object)

      Specified by:
        `copyWith` in class `FlowProcess<Config>`

    - #### getID

          public java.lang.String getID()

      Description copied from class: `FlowProcess`
      Method getID() returns the current
      Overrides:
        `getID` in class `FlowProcess<Config>`
      Returns:
        of type String

    - #### getCurrentSession

          public FlowSession getCurrentSession()

      Description copied from class: `FlowProcess`
      Method getCurrentSession returns the currentSession of this FlowProcess object.
      Overrides:
        `getCurrentSession` in class `FlowProcess<Config>`
      Returns:
        the currentSession (type FlowSession) of this FlowProcess object.

    - #### setCurrentSession

          public void setCurrentSession(FlowSession currentSession)

      Description copied from class: `FlowProcess`
      Method setCurrentSession sets the currentSession of this FlowProcess object.
      Overrides:
        `setCurrentSession` in class `FlowProcess<Config>`
      Parameters:
        `currentSession` - the currentSession of this FlowProcess object.

    - #### getNumProcessSlices

          public int getNumProcessSlices()

      Description copied from class: `FlowProcess`
      Method getNumProcessSlices returns the number of parallel slices or tasks allocated for this process execution.

      For MapReduce platforms, this is the same as the number of tasks for a given MapReduce job.
      Specified by:
        `getNumProcessSlices` in class `FlowProcess<Config>`
      Returns:
        an int

    - #### getCurrentSliceNum

          public int getCurrentSliceNum()

      Description copied from class: `FlowProcess`
      Method getCurrentSliceNum returns an integer representing which slice instance currently running.

      `0` (zero) is the first slice instance.
      Specified by:
        `getCurrentSliceNum` in class `FlowProcess<Config>`
      Returns:
        an int

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String key)

      Description copied from class: `FlowProcess`
      Method getProperty should be used to return configuration parameters from the underlying system.

      In the case of Hadoop, the current Configuration will be queried.
      Specified by:
        `getProperty` in class `FlowProcess<Config>`
      Parameters:
        `key` - of type String
      Returns:
        an Object

    - #### getPropertyKeys

          public java.util.Collection<java.lang.String> getPropertyKeys()

      Description copied from class: `FlowProcess`
      Method getPropertyKeys returns an immutable collection of all available property key values.
      Specified by:
        `getPropertyKeys` in class `FlowProcess<Config>`
      Returns:
        a Collection

    - #### newInstance

          public java.lang.Object newInstance(java.lang.String className)

      Description copied from class: `FlowProcess`
      Method newInstance creates a new object instance from the given className argument delegating to any platform specific instantiation and configuration routines.
      Specified by:
        `newInstance` in class `FlowProcess<Config>`
      Returns:
        an instance of className

    - #### keepAlive

          public void keepAlive()

      Description copied from class: `FlowProcess`
      Method keepAlive notifies the system that the current process is still alive. Use this method if a particular `Operation` takes some moments to complete. Each system is different, so calling ping every few seconds to every minute or so would be best.

      This method will fail silently if the underlying mechanism to notify keepAlive status are not initialized.
      Specified by:
        `keepAlive` in class `FlowProcess<Config>`

    - #### increment

          public void increment(java.lang.Enum counter,
                       long amount)

      Description copied from class: `FlowProcess`
      Method increment is used to increment a custom counter. Counters must be of type Enum. The amount to increment must be a integer value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `increment` in class `FlowProcess<Config>`
      Parameters:
        `counter` - of type Enum
        `amount` - of type int

    - #### increment

          public void increment(java.lang.String group,
                       java.lang.String counter,
                       long amount)

      Description copied from class: `FlowProcess`
      Method increment is used to increment a custom counter. The amount to increment must be a integer value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `increment` in class `FlowProcess<Config>`
      Parameters:
        `group` - of type String
        `counter` - of type String
        `amount` - of type int

    - #### getCounterValue

          public long getCounterValue(java.lang.Enum counter)

      Description copied from class: `FlowProcess`
      Method getCounterValue is used to retrieve a counter value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `getCounterValue` in class `FlowProcess<Config>`
      Parameters:
        `counter` - of type Enum

    - #### getCounterValue

          public long getCounterValue(java.lang.String group,
                             java.lang.String counter)

      Description copied from class: `FlowProcess`
      Method getCounterValue is used to retrieve a counter value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `getCounterValue` in class `FlowProcess<Config>`
      Parameters:
        `group` - of type String
        `counter` - of type String

    - #### setStatus

          public void setStatus(java.lang.String status)

      Description copied from class: `FlowProcess`
      Method setStatus is used to set the status of the current operation.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `setStatus` in class `FlowProcess<Config>`
      Parameters:
        `status` - of type String

    - #### isCounterStatusInitialized

          public boolean isCounterStatusInitialized()

      Description copied from class: `FlowProcess`
      Method isCounterStatusInitialized returns true if it is safe to increment a counter or set a status.
      Specified by:
        `isCounterStatusInitialized` in class `FlowProcess<Config>`
      Returns:
        boolean

    - #### openTapForRead

          public TupleEntryIterator openTapForRead(Tap tap)
                                            throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTapForRead return a `TupleEntryIterator` for the given Tap instance.

      Note the returned iterator will return the same instance of `TupleEntry` on every call, thus a copy must be made of either the TupleEntry or the underlying `Tuple` instance if they are to be stored in a Collection.
      Specified by:
        `openTapForRead` in class `FlowProcess<Config>`
      Parameters:
        `tap` - of type Tap
      Returns:
        TupleIterator
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openTapForWrite

          public TupleEntryCollector openTapForWrite(Tap tap)
                                              throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTapForWrite returns a (@link TupleCollector} for the given Tap instance.
      Specified by:
        `openTapForWrite` in class `FlowProcess<Config>`
      Parameters:
        `tap` - of type Tap
      Returns:
        TupleCollector
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openTrapForWrite

          public TupleEntryCollector openTrapForWrite(Tap trap)
                                               throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTrapForWrite returns a (@link TupleCollector} for the given Tap instance.
      Specified by:
        `openTrapForWrite` in class `FlowProcess<Config>`
      Parameters:
        `trap` - of type Tap
      Returns:
        TupleCollector
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openSystemIntermediateForWrite

          public TupleEntryCollector openSystemIntermediateForWrite()
                                                             throws java.io.IOException

      Specified by:
        `openSystemIntermediateForWrite` in class `FlowProcess<Config>`
      Throws:
        `java.io.IOException`

    - #### getConfig

          public Config getConfig()

      Description copied from class: `FlowProcess`
      Method getConfig returns the actual instance of the underlying configuration instance.

      This instance should not be modified or cached, see `FlowProcess.getConfigCopy()` for a modifiable instance.
      Specified by:
        `getConfig` in class `FlowProcess<Config>`
      Returns:
        an instance of the configuration

    - #### getConfigCopy

          public Config getConfigCopy()

      Specified by:
        `getConfigCopy` in class `FlowProcess<Config>`

    - #### copyConfig

          public <C> C copyConfig(C jobConf)

      Specified by:
        `copyConfig` in class `FlowProcess<Config>`

    - #### diffConfigIntoMap

          public <C> java.util.Map<java.lang.String,java.lang.String> diffConfigIntoMap(C defaultConfig,
                                                                               C updatedConfig)

      Specified by:
        `diffConfigIntoMap` in class `FlowProcess<Config>`

    - #### mergeMapIntoConfig

          public Config mergeMapIntoConfig(Config defaultConfig,
                                  java.util.Map<java.lang.String,java.lang.String> map)

      Specified by:
        `mergeMapIntoConfig` in class `FlowProcess<Config>`

    - #### getTrapCollectorFor

          public TupleEntryCollector getTrapCollectorFor(Tap trap)

      Description copied from class: `FlowProcess`
      Method getTrapCollectorFor will return a new `TupleEntryCollector` if one hasn't previously been created for the given trap Tap.
      Overrides:
        `getTrapCollectorFor` in class `FlowProcess<Config>`
      Returns:
        TupleEntryCollector

    - #### closeTrapCollectors

          public void closeTrapCollectors()

      Overrides:
        `closeTrapCollectors` in class `FlowProcess<Config>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.